Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_SV_Message Class Reference

Defines the header file for the C++ wrapper for message queues. More...

`#include <SV_Message.h>`

List of all members.

## Public Methods
| ACE_SV_Message (long type=0)
| Constructor.
| ~ACE_SV_Message (void)
| Destructor.
long | type (void) const
| Get the message type.
void | type (long)
| Set the message type.
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
## Protected Attributes
long | type_
| Type of the message.

## Detailed Description

Defines the header file for the C++ wrapper for message queues.

## Constructor & Destructor Documentation

ACE_INLINE ACE_SV_Message::ACE_SV_Message | ( | long | type = 0 | ) |

| Constructor.

ACE_INLINE ACE_SV_Message::~ACE_SV_Message | ( | void |  | ) |

| Destructor.

## Member Function Documentation

void ACE_SV_Message::dump | ( | void |  | ) | const

| Dump the state of an object.

ACE_INLINE void ACE_SV_Message::type | ( | long |  | ) |

| Set the message type.

ACE_INLINE long ACE_SV_Message::type | ( | void |  | ) | const

| Get the message type.

## Member Data Documentation

ACE_SV_Message::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks.

long ACE_SV_Message::type_`[protected]`

| Type of the message.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/SV_Message.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/SV_Message.cpp
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/SV_Message.i